umbrello: ParameterPropertiesDialog Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
ParameterPropertiesDialog Class Reference

A properties dialog box for a parameter. More...

`#include <parameterpropertiesdialog.h>`

Inheritance diagram for ParameterPropertiesDialog:

## Public Member Functions
| ParameterPropertiesDialog (QWidget *parent, UMLDoc *doc, UMLAttribute *attr)
| ~ParameterPropertiesDialog ()
virtual bool | apply ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
QString | getName ()
QString | getInitialValue ()
Uml::ParameterDirection::Enum | getParmKind ()
virtual bool | validate ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Private Attributes
QGroupBox * | m_pParmGB
QGroupBox * | m_pKindGB
QRadioButton * | m_pIn
QRadioButton * | m_pOut
QRadioButton * | m_pInOut
QLabel * | m_pNameL
QLineEdit * | m_pNameLE
DefaultValueWidget * | m_defaultValueWidget
DocumentationWidget * | m_docWidget
UMLDoc * | m_pUmldoc
UMLAttribute * | m_pAtt
UMLDatatypeWidget * | m_datatypeWidget
UMLStereotypeWidget * | m_stereotypeWidget

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Detailed Description

A properties dialog box for a parameter.

Displays a dialog box that displays properties of a parameter. You need to make sure that UMLDoc is made to be the parent.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ParameterPropertiesDialog()

ParameterPropertiesDialog::ParameterPropertiesDialog | ( | QWidget * | parent,
|  | UMLDoc * | doc,
|  | UMLAttribute * | attr
| ) |  |

Constructs a ParameterPropertiesDialog.

Parameters

  parent | the parent of the dialog
  doc | UMLDoc instance for access to classifiers and stereotypes
  attr | the parameter to represent

## ◆ ~ParameterPropertiesDialog()

ParameterPropertiesDialog::~ParameterPropertiesDialog | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

bool ParameterPropertiesDialog::apply | ( |  | ) |
| virtual

Apply dialog changes to the related object.

This method could be overridden in derived dialogs to suppport post dialog applying.

Returns
  true apply succeeds
  false apply does not succeed

Reimplemented from SinglePageDialogBase.

## ◆ getInitialValue()

QString ParameterPropertiesDialog::getInitialValue | ( |  | ) |
| protected

## ◆ getName()

QString ParameterPropertiesDialog::getName | ( |  | ) |
| protected

## ◆ getParmKind()

Uml::ParameterDirection::Enum ParameterPropertiesDialog::getParmKind | ( |  | ) |
| protected

Return the kind of the parameter (in, out, or inout).

Returns
  The Uml::ParameterDirection::Enum corresponding to the selected "Kind" radiobutton.

## ◆ validate()

bool ParameterPropertiesDialog::validate | ( |  | ) |
| protectedvirtual

Validates the fields in the dialog box.

Returns
  success state

Reimplemented from SinglePageDialogBase.

## Member Data Documentation

## ◆ m_datatypeWidget

UMLDatatypeWidget* ParameterPropertiesDialog::m_datatypeWidget
| private

## ◆ m_defaultValueWidget

DefaultValueWidget* ParameterPropertiesDialog::m_defaultValueWidget
| private

## ◆ m_docWidget

DocumentationWidget* ParameterPropertiesDialog::m_docWidget
| private

## ◆ m_pAtt

UMLAttribute* ParameterPropertiesDialog::m_pAtt
| private

## ◆ m_pIn

QRadioButton* ParameterPropertiesDialog::m_pIn
| private

## ◆ m_pInOut

QRadioButton * ParameterPropertiesDialog::m_pInOut
| private

## ◆ m_pKindGB

QGroupBox* ParameterPropertiesDialog::m_pKindGB
| private

## ◆ m_pNameL

QLabel* ParameterPropertiesDialog::m_pNameL
| private

## ◆ m_pNameLE

QLineEdit* ParameterPropertiesDialog::m_pNameLE
| private

## ◆ m_pOut

QRadioButton * ParameterPropertiesDialog::m_pOut
| private

## ◆ m_pParmGB

QGroupBox* ParameterPropertiesDialog::m_pParmGB
| private

## ◆ m_pUmldoc

UMLDoc* ParameterPropertiesDialog::m_pUmldoc
| private

## ◆ m_stereotypeWidget

UMLStereotypeWidget* ParameterPropertiesDialog::m_stereotypeWidget
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/parameterpropertiesdialog.h
- umbrello/dialogs/parameterpropertiesdialog.cpp